services:

#------------------------------     Watchtower    ------------------------------
  watchtower:
    container_name: watchtower
    image: containrrr/watchtower
    volumes:
      - '/var/run/docker.sock:/var/run/docker.sock'
    command: '--cleanup --include-restarting --interval 3600'
    restart: unless-stopped

#------------------------------     Warrior 1     ------------------------------
  warrior_1:
    container_name: warrior_1
    image: atdr.meo.ws/archiveteam/warrior-dockerfile
    environment:
      - DOWNLOADER=bite00 # Change this to your nickname
      - SELECTED_PROJECT=auto # Change this to your project of preference or let the archiveteam decide with 'auto'
      - CONCURRENT_ITEMS=6 # Change this to the amount of concurrent download threads you can handle
    stop_signal: SIGINT
    stop_grace_period: 5m
    ports:
      - '8001:8001'
    restart: unless-stopped

#------------------------------     Warrior 2     ------------------------------
  warrior_2:
    container_name: warrior_2
    image: atdr.meo.ws/archiveteam/warrior-dockerfile
    environment:
      - DOWNLOADER=bite00 # Change this to your nickname
      - SELECTED_PROJECT=urlteam2 # Change this to your project of preference or let the archiveteam decide with 'auto'
      - CONCURRENT_ITEMS=6 # Change this to the amount of concurrent download threads you can handle
    stop_signal: SIGINT
    stop_grace_period: 5m
    ports:
      - '8002:8001'
    restart: unless-stopped

#------------------------------     Warrior 3     ------------------------------
  warrior_3:
    container_name: warrior_3
    image: atdr.meo.ws/archiveteam/warrior-dockerfile
    environment:
      - DOWNLOADER=bite00 # Change this to your nickname
      - SELECTED_PROJECT=blogger # Change this to your project of preference or let the archiveteam decide with 'auto'
      - CONCURRENT_ITEMS=6 # Change this to the amount of concurrent download threads you can handle
    stop_signal: SIGINT
    stop_grace_period: 5m
    ports:
      - '8003:8001'
    restart: unless-stopped

#------------------------------     Warrior 4     ------------------------------
  warrior_4:
    container_name: warrior_4
    image: atdr.meo.ws/archiveteam/warrior-dockerfile
    environment:
      - DOWNLOADER=bite00 # Change this to your nickname
      - SELECTED_PROJECT=reddit # Change this to your project of preference or let the archiveteam decide with 'auto'
      - CONCURRENT_ITEMS=6 # Change this to the amount of concurrent download threads you can handle
    stop_signal: SIGINT
    stop_grace_period: 5m
    ports:
      - '8004:8001'
    restart: unless-stopped

#------------------------------     Warrior 5     ------------------------------
  warrior_5:
    container_name: warrior_5
    image: atdr.meo.ws/archiveteam/warrior-dockerfile
    environment:
      - DOWNLOADER=bite00 # Change this to your nickname
      - SELECTED_PROJECT=urls # Change this to your project of preference or let the archiveteam decide with 'auto'
      - CONCURRENT_ITEMS=6 # Change this to the amount of concurrent download threads you can handle
    stop_signal: SIGINT
    stop_grace_period: 5m
    ports:
      - '8005:8001'
    restart: unless-stopped

#------------------------------     Warrior 6     ------------------------------
  warrior_6:
    container_name: warrior_6
    image: atdr.meo.ws/archiveteam/warrior-dockerfile
    environment:
      - DOWNLOADER=bite00 # Change this to your nickname
      - SELECTED_PROJECT=telegram # Change this to your project of preference or let the archiveteam decide with 'auto'
      - CONCURRENT_ITEMS=6 # Change this to the amount of concurrent download threads you can handle
    stop_signal: SIGINT
    stop_grace_period: 5m
    ports:
      - '8006:8001'
    restart: unless-stopped

#------------------------------     Warrior 7     ------------------------------
  warrior_7:
    container_name: warrior_7
    image: atdr.meo.ws/archiveteam/warrior-dockerfile
    environment:
      - DOWNLOADER=bite00 # Change this to your nickname
      - SELECTED_PROJECT=youtube # Change this to your project of preference or let the archiveteam decide with 'auto'
      - CONCURRENT_ITEMS=2 # Change this to the amount of concurrent download threads you can handle
    stop_signal: SIGINT
    stop_grace_period: 5m
    ports:
      - '8007:8001'
    restart: unless-stopped

#------------------------------     Warrior 8     ------------------------------
  warrior_8:
    container_name: warrior_8
    image: atdr.meo.ws/archiveteam/warrior-dockerfile
    environment:
      - DOWNLOADER=bite00 # Change this to your nickname
      - SELECTED_PROJECT=githubtest2 # Change this to your project of preference or let the archiveteam decide with 'auto'
      - CONCURRENT_ITEMS=6 # Change this to the amount of concurrent download threads you can handle
    stop_signal: SIGINT
    stop_grace_period: 5m
    ports:
      - '8008:8001'
    restart: unless-stopped

#------------------------------     Warrior 9     ------------------------------
  warrior_9:
    container_name: warrior_9
    image: atdr.meo.ws/archiveteam/warrior-dockerfile
    environment:
      - DOWNLOADER=bite00 # Change this to your nickname
      - SELECTED_PROJECT=mediafire # Change this to your project of preference or let the archiveteam decide with 'auto'
      - CONCURRENT_ITEMS=2 # Change this to the amount of concurrent download threads you can handle
    stop_signal: SIGINT
    stop_grace_period: 5m
    ports:
      - '8009:8001'
    restart: unless-stopped

#------------------------------     Warrior 10    ------------------------------
  warrior_10:
    container_name: warrior_10
    image: atdr.meo.ws/archiveteam/warrior-dockerfile
    environment:
      - DOWNLOADER=bite00 # Change this to your nickname
      - SELECTED_PROJECT=pastebin # Change this to your project of preference or let the archiveteam decide with 'auto'
      - CONCURRENT_ITEMS=6 # Change this to the amount of concurrent download threads you can handle
    stop_signal: SIGINT
    stop_grace_period: 5m
    ports:
      - '8010:8001'
    restart: unless-stopped

#------------------------------     Warrior 11    ------------------------------
  warrior_11:
    container_name: warrior_11
    image: atdr.meo.ws/archiveteam/warrior-dockerfile
    environment:
      - DOWNLOADER=bite00 # Change this to your nickname
      - SELECTED_PROJECT=imgur # Change this to your project of preference or let the archiveteam decide with 'auto'
      - CONCURRENT_ITEMS=6 # Change this to the amount of concurrent download threads you can handle
    stop_signal: SIGINT
    stop_grace_period: 5m
    ports:
      - '8011:8001'
    restart: unless-stopped

#------------------------------     Warrior 12    ------------------------------
  warrior_12:
    container_name: warrior_12
    image: atdr.meo.ws/archiveteam/warrior-dockerfile
    environment:
      - DOWNLOADER=bite00 # Change this to your nickname
      #- SELECTED_PROJECT=auto # Change this to your project of preference or let the archiveteam decide with 'auto'
      #- CONCURRENT_ITEMS=6 # Change this to the amount of concurrent download threads you can handle
    stop_signal: SIGINT
    stop_grace_period: 5m
    ports:
      - '8012:8001'
    restart: unless-stopped

#------------------------------     Warrior 13    ------------------------------
  warrior_13:
    container_name: warrior_13
    image: atdr.meo.ws/archiveteam/warrior-dockerfile
    environment:
      - DOWNLOADER=bite00 # Change this to your nickname
      #- SELECTED_PROJECT=auto # Change this to your project of preference or let the archiveteam decide with 'auto'
      #- CONCURRENT_ITEMS=6 # Change this to the amount of concurrent download threads you can handle
    stop_signal: SIGINT
    stop_grace_period: 5m
    ports:
      - '8013:8001'
    restart: unless-stopped
